%define name Xclasses
%define ver	1.1.0
%define rel	1mdk

Summary: The Xclasses Library
Name: %{name}
Version: %ver
Release: %rel
Copyright: LGPL
Group: System/XFree86
Source:  http://www.fsai.fh-trier.de/~schmitzj/Xclasses/arc/Xclasses-public-%{ver}.src.tar.bz2
Patch: Xclasses.config-patch.bz2
Patch1: Xclasses-strcmpneeded.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{ver}-buildroot
Obsoletes: Xclasses
URL: http://www.fsai.fh-trier.de/~schmitzj/Xclasses/
Packager: Daouda Lo <daouda@mandrakesoft.com> 
Docdir: %{_docdir}

%description
Xclasses is a C++ layout library for the X Window System.

%package devel
Summary: The Xclasses Development package
Group: System/XFree86
Requires: Xclasses = %{ver}
Obsoletes: Xclasses-devel

%description devel
Static libraries and header files for the Xclasses library.

%prep
%setup -n xclasses
%patch -p2
%patch1 -p1

%build
./build make

%install
rm -fr $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{_prefix}
mkdir $RPM_BUILD_ROOT%{_libdir}
mkdir $RPM_BUILD_ROOT%{_includedir}
mkdir $RPM_BUILD_ROOT%{_bindir}
mkdir $RPM_BUILD_ROOT%{_libdir}/X11

make LIBSDIR=$RPM_BUILD_ROOT%{_libdir} INCLUDESDIR=$RPM_BUILD_ROOT%{_includedir} CONFIGSDIR=$RPM_BUILD_ROOT%{_libdir}/X11/Xclasses install
cp -f ./setenvxc $RPM_BUILD_ROOT%{_bindir}
chmod 755 $RPM_BUILD_ROOT%{_bindir}/setenvxc

%clean 
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING.LIB README
%{_libdir}/libXclasses.so.0.8.7
%{_libdir}/libXclasses.so.0
%{_libdir}/X11/Xclasses/Xclasses
%{_bindir}/setenvxc

%files devel
%defattr(-, root, root)
%{_libdir}/libXclasses.a
%{_libdir}/libXclasses.so
%{_includedir}/Xclasses/Ddraw.h
%{_includedir}/Xclasses/XCprogram.h
%{_includedir}/Xclasses/Xclasses.h
%{_includedir}/Xclasses/Xclasses_class.h
%{_includedir}/Xclasses/Xcolors.h
%{_includedir}/Xclasses/Xdisplay.h
%{_includedir}/Xclasses/Xshadow.h
%{_includedir}/Xclasses/Xwindows.h
%{_includedir}/Xclasses/anim.h
%{_includedir}/Xclasses/appwindow.h
%{_includedir}/Xclasses/autotextbox.h
%{_includedir}/Xclasses/bordergroup.h
%{_includedir}/Xclasses/button.h
%{_includedir}/Xclasses/callable.h
%{_includedir}/Xclasses/card.h
%{_includedir}/Xclasses/checkbox.h
%{_includedir}/Xclasses/choice.h
%{_includedir}/Xclasses/colornamegroup.h
%{_includedir}/Xclasses/config.h
%{_includedir}/Xclasses/creater.h
%{_includedir}/Xclasses/dirview.h
%{_includedir}/Xclasses/dlist.h
%{_includedir}/Xclasses/easy_dialog.h
%{_includedir}/Xclasses/fbutton.h
%{_includedir}/Xclasses/file_dialog.h
%{_includedir}/Xclasses/fileinput.h
%{_includedir}/Xclasses/fontgroup.h
%{_includedir}/Xclasses/gadget.h
%{_includedir}/Xclasses/gfx_arrow.h
%{_includedir}/Xclasses/gfx_autotext.h
%{_includedir}/Xclasses/gfx_checkbox.h
%{_includedir}/Xclasses/gfx_command.h
%{_includedir}/Xclasses/gfx_dir.h
%{_includedir}/Xclasses/gfx_file.h
%{_includedir}/Xclasses/gfx_knob.h
%{_includedir}/Xclasses/gfx_locked.h
%{_includedir}/Xclasses/gfx_object.h
%{_includedir}/Xclasses/gfx_text.h
%{_includedir}/Xclasses/gfx_xpm.h
%{_includedir}/Xclasses/go_button.h
%{_includedir}/Xclasses/go_selbutton.h
%{_includedir}/Xclasses/gpopup.h
%{_includedir}/Xclasses/graphic.h
%{_includedir}/Xclasses/group.h
%{_includedir}/Xclasses/html_gadget.h
%{_includedir}/Xclasses/htmltextbox.h
%{_includedir}/Xclasses/image.h
%{_includedir}/Xclasses/indicator.h
%{_includedir}/Xclasses/input.h
%{_includedir}/Xclasses/keyclass.h
%{_includedir}/Xclasses/lefttext.h
%{_includedir}/Xclasses/listgroup.h
%{_includedir}/Xclasses/listview.h
%{_includedir}/Xclasses/menu.h
%{_includedir}/Xclasses/message.h
%{_includedir}/Xclasses/message_tools.h
%{_includedir}/Xclasses/multilistview.h
%{_includedir}/Xclasses/mxbutton.h
%{_includedir}/Xclasses/mxgadget.h
%{_includedir}/Xclasses/mxknob.h
%{_includedir}/Xclasses/output.h
%{_includedir}/Xclasses/popbutton.h
%{_includedir}/Xclasses/popup.h
%{_includedir}/Xclasses/rubbergroup.h
%{_includedir}/Xclasses/ruler.h
%{_includedir}/Xclasses/scroller.h
%{_includedir}/Xclasses/selbutton.h
%{_includedir}/Xclasses/selgadget.h
%{_includedir}/Xclasses/selknob.h
%{_includedir}/Xclasses/slider.h
%{_includedir}/Xclasses/spacegroup.h
%{_includedir}/Xclasses/text.h
%{_includedir}/Xclasses/textbox.h
%{_includedir}/Xclasses/tools.h
%{_includedir}/Xclasses/treeview.h
%{_includedir}/Xclasses/types.h
%{_includedir}/Xclasses/visible.h
%{_includedir}/Xclasses/xclock.h


%Changelog
* Mon Jan 29 2001  Daouda Lo <daouda@mandrakesoft.com> 1.1.0-1mdk
- new release (Happy Lenny ?)
- BM
- string.h include file patch .

*Tue Sep 07 1999 Daouda LO <daouda@mandrakesoft.com>
-Mandrake adaptations
